#include <iostream>
using namespace std;
int main ()
{
    long long m,n,r;
    cin>>n>>m;
    if (n==m && n==1)
    {
        cout<<1;
        return 0;
    }
    r=((2*n)+(2*m)-4)+((n-2)*(m-2))/2;
    cout<<r;
    return 0;
}